Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class KeyFactory

    java.lang.Object
      com.beasys.commerce.ebusiness.security.KeyFactory

    public class KeyFactory

extends Object

Factory for both a private and public key. This class is a singleton class. The `KeyFactory` class is bound in JNDI to prevent the cached singleton from being garbage collected.

Field Summary
`protected static KeyFactory` | `singletonInstance`

Method Summary
`static KeyFactory` | `getInstance()` Retrieves the singleton instance of a `KeyFactory`.
`JSAFE_PrivateKey` | `getPrivateKey()` Returns the private key associated with the `KeyFactory`.
`static JSAFE_PrivateKey` | `getPrivateKey(String password)` Returns the private key encrypted with password.
`static JSAFE_PublicKey` | `getPublicKey()` Returns the public key associated with the `KeyFactory`.
`void` | `init(String password)` Initializes the `KeyFactory` with a private password used for private key decryption.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singletonInstance

    protected static KeyFactory singletonInstance

Method Detail

### getInstance

    public static KeyFactory getInstance()

  Retrieves the singleton instance of a `KeyFactory`.

  Returns
    The singleton

### getPublicKey

    public static JSAFE_PublicKey getPublicKey()

  Returns the public key associated with the `KeyFactory`.

  Returns
    The public key associated with the `KeyFactory`.

### getPrivateKey

    public JSAFE_PrivateKey getPrivateKey()
                                   throws InconsistentStateException

  Returns the private key associated with the `KeyFactory`.

  Returns
    The private key associated with the `KeyFactory`.
  Throws
    `InconsistentStateException` - if the `KeyFactory` has not been initialized.

### getPrivateKey

    public static JSAFE_PrivateKey getPrivateKey(String password)

  Returns the private key encrypted with password.

  Parameters
    `password` - The password used to encrypt the private key
  Returns
    The private key encrypted with password.

### init

    public void init(String password)

  Initializes the `KeyFactory` with a private password used for private key decryption.

  Parameters
    `password` - The private password.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved